AlignmentMarker (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.blast2html.AlignmentMarker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Class AlignmentMarker

    java.lang.Object
      org.biojava.bio.program.blast2html.AlignmentMarker

    public class AlignmentMarker

extends Object

Class to do simple HTML colouring of sequence alignments.

For any particular alignment position, the colouring depends only on the two characters at that position. The decision is made in two stages:-

1. Whether to colour or not in the `ColourCommand.isColoured()` method
2. what the colours are in the `AlignmentStyler.getStyle()` method

This allows simple choices to highlight the mismatches, the identities or simply colour up everything.

The current implemention of step 2. is a simple colour lookup.

Limitations:

As the FONT styles need to be defined before being used in the HTML, it means the all colours to be used have to calculated up front.

The position in the alignment is not passed in so position dependent colouring ( say against a HMM profile ) would be involve either changing the interfaces or implementing them such that they knew the required information via another route.

     Primary author -
                     Colin Hardman      (CAT)
     Other authors  -
                     Tim Dilks          (CAT)
                     Simon Brocklehurst (CAT)
                     Stuart Johnston    (CAT)
                     Lawerence Bower    (CAT)
                     Derek Crockford    (CAT)
                     Neil Benn          (CAT)

     Copyright 2001 Cambridge Antibody Technology Group plc.
     All Rights Reserved.

This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc, Greg Cox

Constructor Summary
`AlignmentMarker(ColourCommand poColourCommand, org.biojava.bio.program.blast2html.AlignmentStyler poStyler)` Creates a new `AlignmentMarker` instance.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentMarker

    public AlignmentMarker(ColourCommand poColourCommand,
                           org.biojava.bio.program.blast2html.AlignmentStyler poStyler)

  Creates a new `AlignmentMarker` instance.

  Parameters:
    `poColourCommand` - - controls whether a particular alignment pair should be coloured
    `poStyler` - - specifies all possible styles and where each style is used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD